Bug 65001 - seg faults when there is a blank field
Summary: seg faults when there is a blank field
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: finger   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 20:26 UTC by Nate Golnik
Modified: 2016-09-30 17:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 20:26:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 65001 master MERGED resourceManager: Move ResourceInfo class to module 2016-09-30 17:30 UTC

Description Nate Golnik 2002-05-15 20:26:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-31smp i686)

Description of problem:
Finger core dumps when there is a blank field in the password file.
foobar:x:5165:5166::/home/foobar:/bin/bash will cause a segfault.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.creat user foobar:x:5165:5166::/home/foobar:/bin/bash
2.type finger user

	

Actual Results:  [root@lacrosse /home]# finger foobar
Segmentation fault


Expected Results:  Login: foobar                         Name: (null)
Directory: /home/foobar           Shell: /bin/bash
Never logged in.
No mail.
No Plan.


Additional info:

Comment 1 Phil Knirsch 2002-05-27 08:28:32 UTC
Works in all our current releases starting from 7.0.

As this is not an otherwise critical or security bug i'd recommend to either
updated the finger package to a newer release (from e.g. 7.0) or to completely
updated the 6.2 box to a newer release as 6.2 will be unsupported soon.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.